# -*- encoding: utf-8 -*-
# stub: introspection 0.0.3 ruby lib

Gem::Specification.new do |s|
  s.name = "introspection"
  s.version = "0.0.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["James Mead"]
  s.date = "2016-01-13"
  s.description = ""
  s.email = ["james@floehopper.org"]
  s.files = [".gitignore", ".travis.yml", "COPYING.txt", "Gemfile", "README.md", "Rakefile", "introspection.gemspec", "lib/introspection.rb", "lib/introspection/assertions.rb", "lib/introspection/change_detector.rb", "lib/introspection/core_ext.rb", "lib/introspection/core_ext/symbol.rb", "lib/introspection/method.rb", "lib/introspection/receivers.rb", "lib/introspection/snapshot.rb", "lib/introspection/version.rb", "samples/class.rb", "samples/instance.rb", "samples/module.rb", "test/class_snapshot_test.rb", "test/instance_snapshot_test.rb", "test/module_snapshot_test.rb", "test/snapshot_test.rb", "test/test_helper.rb"]
  s.homepage = "http://jamesmead.org"
  s.licenses = ["MIT"]
  s.rubyforge_project = "introspection"
  s.rubygems_version = "2.5.1"
  s.summary = "Dynamic inspection of the hierarchy of method definitions on a Ruby object."
  s.test_files = ["test/class_snapshot_test.rb", "test/instance_snapshot_test.rb", "test/module_snapshot_test.rb", "test/snapshot_test.rb", "test/test_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<metaclass>, ["~> 0.0.1"])
      s.add_runtime_dependency(%q<instantiator>, ["~> 0.0.3"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<blankslate>, [">= 0"])
    else
      s.add_dependency(%q<metaclass>, ["~> 0.0.1"])
      s.add_dependency(%q<instantiator>, ["~> 0.0.3"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<blankslate>, [">= 0"])
    end
  else
    s.add_dependency(%q<metaclass>, ["~> 0.0.1"])
    s.add_dependency(%q<instantiator>, ["~> 0.0.3"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<blankslate>, [">= 0"])
  end
end
